Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -10888,62 +20238,114 @@
   Tag ID       Tag Name                         Writable
   ------       --------                         --------
-  0x10000      TransformNodeID                  N
-  0x10001      OperationClassID                 N
-  0x10002      LockedPropertyList               N
-  0x10003      TransformTitle                   N
-  0x10004      LastModifier                     N
-  0x10005      RevisionNumber                   N
-  0x10006      TransformCreateDate              N
-  0x10007      TransformModifyDate              N
-  0x10008      CreatingApplication              N
-  0x10100      InputDataObjectList              N
-  0x10101      OutputDataObjectList             N
-  0x10102      OperationNumber                  N
-  0x10000000   ResultAspectRatio                N
-  0x10000001   RectangleOfInterest              N
-  0x10000002   Filtering                        N
-  0x10000003   SpatialOrientation               N
-  0x10000004   ColorTwistMatrix                 N
-  0x10000005   ContrastAdjustment               N
+  0x10000      TransformNodeID                  no
+  0x10001      OperationClassID                 no
+  0x10002      LockedPropertyList               no
+  0x10003      TransformTitle                   no
+  0x10004      LastModifier                     no
+  0x10005      RevisionNumber                   no
+  0x10006      TransformCreateDate              no
+  0x10007      TransformModifyDate              no
+  0x10008      CreatingApplication              no
+  0x10100      InputDataObjectList              no
+  0x10101      OutputDataObjectList             no
+  0x10102      OperationNumber                  no
+  0x10000000   ResultAspectRatio                no
+  0x10000001   RectangleOfInterest              no
+  0x10000002   Filtering                        no
+  0x10000003   SpatialOrientation               no
+  0x10000004   ColorTwistMatrix                 no
+  0x10000005   ContrastAdjustment               no
+
+=head3 FlashPix PreviewInfo Tags
+
+Preview information written by some FujiFilm models.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     13    PreviewImageWidth                    no
+     23    PreviewImageHeight                   no
 
 =head3 FlashPix SubimageHdr Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      1    SubimageWidth                        N
-      2    SubimageHeight                       N
-      3    SubimageTileCount                    N
-      4    SubimageTileWidth                    N
-      5    SubimageTileHeight                   N
-      6    NumChannels                          N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    SubimageWidth                        no
+      2    SubimageHeight                       no
+      3    SubimageTileCount                    no
+      4    SubimageTileWidth                    no
+      5    SubimageTileHeight                   no
+      6    NumChannels                          no
+
+=head3 FlashPix WordDocument Tags
+
+Tags extracted from the Microsoft Word document stream.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0000   Identification                       no
+  0x0003   LanguageCode                         no
+  0x0005   DocFlags                             no
+    9.1    System                               no
+    9.2    Word97                               no
+
+=head3 FlashPix DocTable Tags
+
+Tags extracted from the Microsoft Word document table.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  CommentBy                                     no
+  DOP                                           FlashPix DOP
+  LastSavedBy                                   no
+  ModifyDate                                    no
+
+=head3 FlashPix DOP Tags
+
+Microsoft office document properties.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     20    CreateDate                           no
+     24    ModifyDate                           no
+     28    LastPrinted                          no
+     32    RevisionNumber                       no
+     34    TotalEditTime                        no
+     38    Words                                no
+     42    Characters                           no
+     46    Pages                                no
+     48    Paragraphs                           no
+     56    Lines                                no
 
 =head2 MPF Tags
 
 These tags are part of the CIPA Multi-Picture Format specification, and are
-found in the APP2 "MPF" segment of JPEG images.  See
-L<http://www.cipa.jp/english/hyoujunka/kikaku/pdf/DC-007_E.pdf> for the
-official specification.
+found in the APP2 "MPF" segment of JPEG images.  MPImage data referenced
+from this segment is stored as a JPEG trailer.  The MPF tags are not
+writable, however the MPF segment may be deleted as a group (with "MPF:All")
+but then the JPEG trailer should also be deleted (with "Trailer:All").  See
+L<https://web.archive.org/web/20190713230858/http://www.cipa.jp/std/documents/e/DC-007_E.pdf>
+for the official specification.
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0xb000   MPFVersion                           N
-  0xb001   NumberOfImages                       N
+  0xb000   MPFVersion                           no
+  0xb001   NumberOfImages                       no
   0xb002   MPImageList                          MPF MPImage
-  0xb003   ImageUIDList                         N
-  0xb004   TotalFrames                          N
-  0xb101   MPIndividualNum                      N
-  0xb201   PanOrientation                       N
-  0xb202   PanOverlapH                          N
-  0xb203   PanOverlapV                          N
-  0xb204   BaseViewpointNum                     N
-  0xb205   ConvergenceAngle                     N
-  0xb206   BaselineLength                       N
-  0xb207   VerticalDivergence                   N
-  0xb208   AxisDistanceX                        N
-  0xb209   AxisDistanceY                        N
-  0xb20a   AxisDistanceZ                        N
-  0xb20b   YawAngle                             N
-  0xb20c   PitchAngle                           N
-  0xb20d   RollAngle                            N
+  0xb003   ImageUIDList                         no
+  0xb004   TotalFrames                          no
+  0xb101   MPIndividualNum                      no
+  0xb201   PanOrientation                       no
+  0xb202   PanOverlapH                          no
+  0xb203   PanOverlapV                          no
+  0xb204   BaseViewpointNum                     no
+  0xb205   ConvergenceAngle                     no
+  0xb206   BaselineLength                       no
+  0xb207   VerticalDivergence                   no
+  0xb208   AxisDistanceX                        no
+  0xb209   AxisDistanceY                        no
+  0xb20a   AxisDistanceZ                        no
+  0xb20b   YawAngle                             no
+  0xb20c   PitchAngle                           no
+  0xb20d   RollAngle                            no
 
 =head3 MPF MPImage Tags
